poppler 0.12.4-0ubuntu5.1 source package in Ubuntu

Changelog

poppler (0.12.4-0ubuntu5.1) lucid-security; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via malformed PDF
    - debian/patches/CVE-2010-3702.patch: properly initialize parser in
      poppler/Gfx.cc.
    - CVE-2010-3702
  * SECURITY UPDATE: possible arbitrary code execution via malformed PDF
    - debian/patches/CVE-2010-3703.patch: Properly initialize stack in
      poppler/Function.cc.
    - CVE-2010-3703
  * SECURITY UPDATE: possible arbitrary code execution via malformed PDF
    - debian/patches/CVE-2010-3704.patch: make sure code isn't < 0 in
      fofi/FoFiType1.cc.
    - CVE-2010-3704
 -- Marc Deslauriers <email address hidden>   Wed, 13 Oct 2010 15:50:31 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2010-10-13
Uploaded to:
Lucid
Original maintainer:
Ubuntu Desktop
Architectures:
any
Section:
devel
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
poppler_0.12.4.orig.tar.gz 1.6 MiB 2afa2a54bd4ccb09e92f82b64bcafa95d39a404a3b3db9d6a5fcad0e0229857a
poppler_0.12.4-0ubuntu5.1.diff.gz 35.7 KiB badc654a826d327ba209604caaeba14c62d6a2cf281742685579fb3fdbb29ff7
poppler_0.12.4-0ubuntu5.1.dsc 2.3 KiB 844139bf9986a97e53e20f0c4eb2bc895320824de9320242ae3dadaca350fa56

View changes file

Binary packages built by this source

libpoppler-dev: No summary available for libpoppler-dev in ubuntu lucid.

No description available for libpoppler-dev in ubuntu lucid.

libpoppler-glib-dev: No summary available for libpoppler-glib-dev in ubuntu lucid.

No description available for libpoppler-glib-dev in ubuntu lucid.

libpoppler-glib4: No summary available for libpoppler-glib4 in ubuntu lucid.

No description available for libpoppler-glib4 in ubuntu lucid.

libpoppler-qt-dev: No summary available for libpoppler-qt-dev in ubuntu lucid.

No description available for libpoppler-qt-dev in ubuntu lucid.

libpoppler-qt2: No summary available for libpoppler-qt2 in ubuntu lucid.

No description available for libpoppler-qt2 in ubuntu lucid.

libpoppler-qt4-3: No summary available for libpoppler-qt4-3 in ubuntu lucid.

No description available for libpoppler-qt4-3 in ubuntu lucid.

libpoppler-qt4-dev: No summary available for libpoppler-qt4-dev in ubuntu lucid.

No description available for libpoppler-qt4-dev in ubuntu lucid.

libpoppler5: No summary available for libpoppler5 in ubuntu lucid.

No description available for libpoppler5 in ubuntu lucid.

poppler-dbg: No summary available for poppler-dbg in ubuntu lucid.

No description available for poppler-dbg in ubuntu lucid.

poppler-utils: No summary available for poppler-utils in ubuntu lucid.

No description available for poppler-utils in ubuntu lucid.